c.g77k.com {
    encode gzip
    header Strict-Transport-Security "max-age=15552000; includeSubDomains; preload"
    reverse_proxy 127.0.0.1:81 {
        header_up Host {host} # redundant
        header_up X-Real-IP {remote}
        header_up X-Forwarded-For {remote}  # redundant
        header_up X-Forwarded-Port {server_port} # redundant
        header_up X-Forwarded-Proto {scheme}
    }
}

w.g77k.com {
    encode gzip
    header Strict-Transport-Security "max-age=15552000; includeSubDomains; preload"
    reverse_proxy 127.0.0.1:81 {
        header_up Host {host} # redundant
        header_up X-Real-IP {remote}
        header_up X-Forwarded-For {remote}  # redundant
        header_up X-Forwarded-Port {server_port} # redundant
        header_up X-Forwarded-Proto {scheme}
    }
}

6.photonicat.com {
    encode gzip
    root * /www/6.photonicat.com
    log {
        output file /var/log/caddy-4.photonicat.com.log
    }

    # PHP-FPM Configuration for Caddy
    php_fastcgi unix//run/php/php8.1-fpm.sock
    file_server
}


4.photonicat.com {
    encode gzip
    root * /www/6.photonicat.com
    log {
        output file /var/log/caddy-4.photonicat.com.log
    }

    # PHP-FPM Configuration for Caddy
    php_fastcgi unix//run/php/php8.1-fpm.sock
    file_server
}

api.photonicat.com {
    encode gzip
    header Strict-Transport-Security "max-age=15552000; includeSubDomains; preload"
    reverse_proxy 127.0.0.1:81 {
        header_up Host {host} # redundant
        header_up X-Real-IP {remote}
        header_up X-Forwarded-For {remote}  # redundant
        header_up X-Forwarded-Port {server_port} # redundant
        header_up X-Forwarded-Proto {scheme}
    }
}

ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/ariaboard.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

www.ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.ariaboard.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

photonicat.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/photonicat.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

www.photonicat.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.photonicat.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

static.ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/static.ariaboard.com.log
      level INFO
    }

    file_server {
      root /www/static.ariaboard.com
      browse
    }
}

shanghainovotech.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/shanghainovotech.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

www.shanghainovotech.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.shanghainovotech.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

